Subject: [bug#54036] [PATCH] gnu: gnunet: Update to 0.15.3.

From: Tanguy LE CARROUR <[email-masked]>
Date: Mon, 28 Feb 2022 16:36:07 +0100

Hi Maxim,

A **lot** has changed since I submitted this patch: version 0.16.0 is out!

So I decided to remove the `substitute` for all the failing tests and give it
a try, and… a lot of them seem to have been fixed!
But, even though I have no failing tests in the log, the check phase fails
with the following error message:

```
error: in phase 'check': uncaught exception:
%exception #<&invoke-error program: "make" arguments: ("check") exit-status: 2 term-signal: #f stop-signal: #f>
phase `check' failed after 4846.7 seconds
command "make" "check" failed with status 2
```

I don't know on which side is the problem, Guix or GNUnet?
My only guess is that `make` is supposed to return 0, but it
actually returns 2, which could mean "some tests have been skipped."
But it's just a random guess.
Any idea what could be wrong?!

I'm anyway submitting the latest version of my patch.

The last failing test that is disabled, `test_transport_api_https`, I
can probably fix.

The good news is, if I `guix package --without-tests=gnunet gnunet` I
get a for-what-I-can-tell working GNUnet! \o/

Best regards,

-- 
Tanguy